Loading...
Searching...
No Matches
Opm::PengRobinsonParams< Scalar > Class Template Reference

Stores and provides access to the Peng-Robinson parameters. More...

`#include <PengRobinsonParams.hpp>`

Inheritance diagram for Opm::PengRobinsonParams< Scalar >:

## Public Member Functions

Scalar | a () const
| Returns the attractive parameter 'a' of the Peng-Robinson fluid.
Scalar | b () const
| Returns the repulsive parameter 'b' of the Peng-Robinson fluid.
void | checkDefined () const
| If run under valgrind, this method produces an warning if the parameters where not determined correctly.
void | setA (Scalar value)
| Set the attractive parameter 'a' of the Peng-Robinson fluid.
void | setB (Scalar value)
| Set the repulsive parameter 'b' of the Peng-Robinson fluid.

## Protected Attributes

Scalar | a_ {}
Scalar | b_ {}

## Detailed Description

template<class Scalar>
class Opm::PengRobinsonParams< Scalar >

Stores and provides access to the Peng-Robinson parameters.

See:

R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp. 43-44

The documentation for this class was generated from the following file:

- opm/material/eos/PengRobinsonParams.hpp